
                                 var currentTab = 0; // Current tab is set to be the first tab (0)
                                 showTab(currentTab); // Display the current tab
                                 
                                 function showTab(n) {
                                   // This function will display the specified tab of the form...
                                   var x = document.getElementsByClassName("mytab");
                                   x[n].style.display = "block";
                                   //... and fix the Previous/Next buttons:
                                   if (n == 0) {
                                     document.getElementById("myprevBtn").style.display = "none";
                                   } else {
                                     document.getElementById("myprevBtn").style.display = "inline";
                                   }
                                   if (n == (x.length - 1)) {
                                     document.getElementById("mynextBtn").innerHTML = "Submit";
                                   } else {
                                     document.getElementById("mynextBtn").innerHTML = "GET IN TOUCH";
                                   }
                                   //... and run a function that will display the correct step indicator:
                                   fixStepIndicator(n)
                                 }
                                 
                                 function nextPrev(n) {
                                   // This function will figure out which tab to display
                                   var x = document.getElementsByClassName("mytab");
                                   // Exit the function if any field in the current tab is invalid:
                                   if (n == 1 && !validateForm()) return false;
                                   // Hide the current tab:
                                   x[currentTab].style.display = "none";
                                   // Increase or decrease the current tab by 1:
                                   currentTab = currentTab + n;
                                   // if you have reached the end of the form...
                                   if (currentTab >= x.length) {
                                     // ... the form gets submitted:
                                    // document.getElementById("myregForm").submit();
                                     return false;
                                   }
                                   // Otherwise, display the correct tab:
                                   showTab(currentTab);
                                 }
                                 
                                 function validateForm() {
                                   // This function deals with validation of the form fields
                                   var x, y, i, valid = true;
                                   x = document.getElementsByClassName("mytab");
                                   y = x[currentTab].getElementsByTagName("input");
                                   // A loop that checks every input field in the current tab:
                                   for (i = 0; i < y.length; i++) {
                                     // If a field is empty...
                                     if (y[i].value == "") {
                                       // add an "invalid" class to the field:
                                       y[i].className += " invalid";
                                       // and set the current valid status to false
                                       valid = false;
                                     }
                                   }
                                   // If the valid status is true, mark the step as finished and valid:
                                   if (valid) {
                                     document.getElementsByClassName("mystep")[currentTab].className += " finish";
                                   }
                                   return valid; // return the valid status
                                 }
                                 
                                 function fixStepIndicator(n) {
                                   // This function removes the "active" class of all steps...
                                   var i, x = document.getElementsByClassName("mystep");
                                   for (i = 0; i < x.length; i++) {
                                     x[i].className = x[i].className.replace(" active", "");
                                   }
                                   //... and adds the "active" class on the current step:
                                   x[n].className += "active";
                                 }
                                 
                                 function chkSplChar(ctrlname){
                                   var iChars = "<>?;"; 
                                 
                                   for (var i = 0; i < ctrlname.length; i++)
                                    {
                                 	if (iChars.indexOf(ctrlname.charAt(i)) != -1) {
                                 	return false;
                                 	}
                                   }
                                   return true;
                                 }
                                 
                                 
                                 function myvalid_registration1(theForm) {
                                     var empty = "";
                                     var reason = "";
                                     reason += myvalidateEmptys(theForm.firstName, 'name', 'myalertYname');
                                     reason += myvalidateEmptys(theForm.lastName, 'name', 'myalertlname',1);
                                     reason += mycheckemail(theForm.emailAddress, 'myalertEmail');
                                     reason += myvalidateEmptys_length(theForm.company, 'myalertcompany', 1);
                                 
                                 
                                    if (document.getElementById('mycompany').value != "") {
                                    if (chkSplChar(document.getElementById('mycompany').value) == false) {
                                 			reason += $("#myalertcompany").addClass("whiteColor").text( "Special characters are not allowed."); 			
                                     	} else {			
                                 			$("#myalertcompany").text(""); 
                                 		}
                                 	} 	
                                 	
                                 	
                                     if (reason != "") {
                                         return false;
                                     } else {
                                        
                                 			var fname =  document.getElementById('myfirstName').value;
                                 			var lname =  document.getElementById('mylastName').value;
                                 			var email =  document.getElementById('myemailAddress').value;
                                 			var company =  document.getElementById('mycompany').value;
                                 var Leadsource= document.getElementById('myLeadsource').value;
                                 			var Message =  document.getElementById('myMessage').value;
                                 var MyOptinforMarketingcommunication=document.getElementById('MyOptinforMarketingcommunication').value;
                                 		
                                 if (sessionStorage.eVar32) {
                                  var myRedirecturl = window.location.host + window.location.pathname + '?' + sessionStorage.eVar32
                                 }
                                 else{
                                  var myRedirecturl = window.location.href;
                                 }
                                 
                                 		var mydataString = 'https://s1447373.t.eloqua.com/e/f2?elqFormName=floatingForm&elqSiteID=1447373&emailAddress='+email+'&firstName='+fname+'&lastName='+lname+'&company='+company+'&Message='+Message+'&MyOptinforMarketingcommunication='+MyOptinforMarketingcommunication+'&Leadsource='+Leadsource+'&Redirecturl='+myRedirecturl+'';
                                 document.getElementById("myblind").innerHTML = '<img src="'+ mydataString +'" id="mynextBtn" style="width:1px; height:1px;" />';
                                     document.getElementById("myregForm").style.display = "none"; 
                                     document.getElementById("mythankyou").style.display = "block";	
                                 _satellite.track("form_submit");
                                 digitalData.page.formName = document.title;
                                 digitalData.page.formComplete = '1';
                                             return false;
                                 
                                     }
                                     
                                 }	
                                 	
                                 digitalData.page.formName = document.title;
                                 digitalData.page.formStart = '1';	
                                 
                                 function validateUrl() {
                                     var error = "";
                                     var x = window.location.href;
                                 //alert(x);
                                     if (x.indexOf('infosysbpm.com') != -1) {
                                         error = "";
                                     } else {      
                                         error = "cancel";
                                     }
                                     return error;
                                 }
                                 
                                 function myvalidateEmptys_length(fld, alertID, lenght) {
                                     var error = "";
                                 	var xer = document.getElementById(alertID);
                                     if (fld.value.length < lenght) {
                                         fld.style.borderBottom = borderFix;
                                 		 xer.innerHTML = '<small class="whiteColor">Please check the <span class="text-capitalize">'+ fld.title +' you have entered';
                                 		
                                         error = "cancel";
                                     } else {
                                         fld.removeAttribute('style');
                                 		xer.innerHTML = '';
                                 
                                         error = "";
                                     }
                                     return error;
                                 }
                                 
                                 function myvalidateEmptys(fld, name, alertID) {
                                     var error = "";
                                     var special;
                                     var xer = document.getElementById(alertID);
                                     var string = '<small class="whiteColor">Please check the <span class="text-capitalize">'+ fld.title +' you have entered';
                                     var TCode = fld.value;
                                 
                                     if (name == 'name') {
                                         special = /[^a-zA-Z\ \.]/;
                                     } else {
                                         special = /[^a-zA-Z\ ]/;
                                     }
                                 
                                     if (fld.value.length == 0) {
                                         xer.innerHTML = '<small class="whiteColor">Please check the <span class="text-capitalize">'+ fld.title +' you have entered';
                                         fld.style.borderBottom = borderFix;
                                         error = "cancel";
                                     } else if (special.test(TCode)) {
                                         xer.innerHTML = string;
                                         fld.style.borderBottom = borderFix;
                                         error = "cancel";
                                     } else {
                                         xer.innerHTML = '';
                                         fld.removeAttribute('style');
                                         error = "";
                                     }
                                     return error;
                                 }
                                 
                                 function mycheckemail(fld, alertID) {
                                     var error = "";
                                     var str = fld.value;
                                     var xer = document.getElementById(alertID);
                                 
                                     var string = '<small class="whiteColor">Please enter a valid Email ID e.g.: abc@abc.com';
                                     var filter = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i
                                 
                                     if (fld.value.length == 0) {
                                         xer.innerHTML = '<small class="whiteColor">Please enter a valid Email ID e.g.: abc@abc.com';
                                         fld.style.borderBottom = borderFix;
                                 document.getElementById("mynextBtn").disabled = true;
                                         error = "cancel";
                                     } else if (filter.test(str)) {
                                         xer.innerHTML = "";
                                         fld.removeAttribute('style');
                                 document.getElementById("mynextBtn").disabled = false; 
                                         error = "";
                                     } else {
                                 document.getElementById("mynextBtn").disabled = true;
                                         xer.innerHTML = string;
                                         error = "cancel";
                                         fld.style.borderBottom = borderFix;
                                     }
                                     return error;
                                 }
                                 
                                 function get_length(stringIHave) {
                                     keywordsArr = stringIHave.split(' '),
                                         xvalue = keywordsArr.length - 1;
                                     var spaceCount = parseInt(stringIHave.length - xvalue);
                                     return spaceCount;
                                 }
                                 
                                 function getFocus() {
                                     document.getElementById('name').focus();
                                 }
                                 
                                 
                                 	
                             
                                 var borderFix = '4px solid #F16C51';
                                 /** Opt-in Yes or No **/
                                 	$('#MyOptinforMarketingcommunication').click(function() {
                                 //var $x = $("#MyOptinforMarketingcommunication");
                                 	if($("#MyOptinforMarketingcommunication").prop('checked'))
                                 		$("#MyOptinforMarketingcommunication").attr('value','Yes');
                                 	else
                                 		$("#MyOptinforMarketingcommunication").attr('value','No');
                                 	});
                              

                                   $(document).ready(function() {
                                    $("#subscribe-insights").click(function () {
                                     // alert("Hello!");
                                      $(this).css({
                                        opacity:"0"
                                      }),
                                      $("#subscribe-insights-popup").css({
                                        opacity: "1",
                                        transform: "scale3d(1,1,1)",
                                        "-webkit-transform": "scale3d(1,1,1)"
                                      })
                                    });
                                  
                                  $("#closeform").click(function () {
                                      $("#subscribe-insights").css({
                                        opacity:"2"
                                      }),
                                      $("#subscribe-insights-popup").css({
                                        opacity: "0",
                                        transform: "scale3d(1,1,1)",
                                        "-webkit-transform": "scale3d(1,1,1)"
                                      })
                                    });
                                  });